%define	major_ver	0.20
Summary:	GObject-based language compiler
Summary(pl.UTF-8):	Kompilator języka opartego na bibliotece GObject
Name:		vala
Version:	0.20.1
Release:	1
Epoch:		2
License:	LGPL v2+
Group:		Development/Languages
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vala/0.20/%{name}-%{version}.tar.xz
# Source0-md5:	f285a90af17c400e5a4bcecb2b9c318a
URL:		http://live.gnome.org/Vala
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.18.0
Conflicts:	gdk-pixbuf2 < 2.23.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing any
additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.

valac, the Vala compiler, is a self-hosting compiler that translates
Vala source code into C source and header files. It uses the GObject
type system to create classes and interfaces declared in the Vala
source code. It's also planned to generate GIDL files when
gobject-introspection is ready.

The syntax of Vala is similar to C#, modified to better fit the
GObject type system.

%description -l pl.UTF-8
Vala to nowy język programowania, którego celem jest udostępnienie
cech nowoczesnych języków programowania programistom GNOME bez
wymuszania dodatkowych wymagań co do środowiska uruchomieniowego i
używania API innego niż w aplikacjach i bibliotekach napisanych w C.

valac - kompilator języka Vala - to napisany w sobie samym kompilator
tłumaczący kod źródłowy w języku Vala na pliki źródłowe i nagłówkowe w
C. Używa systemu typów GObject do tworzenia klas i interfejsów
zadeklarowanych w kodzie źródłowym w języku Vala. Planowane jest także
generowanie plików GIDL, kiedy system gobject-introspection będzie
gotowy.

Składnia języka Vala jest podobna do C#, zmodyfikowana tak, aby lepiej
pasować do systemu typów GObject.

%package apidocs
Summary:	vala API documentation
Summary(pl.UTF-8):	Dokumentacja API vala
Group:		Documentation
Requires:	devhelp

%description apidocs
vala API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API vala.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-vapigen
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/vala/vapi

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README THANKS
%attr(755,root,root) %{_bindir}/vala
%attr(755,root,root) %{_bindir}/vala-%{major_ver}
%attr(755,root,root) %{_bindir}/vala-gen-introspect
%attr(755,root,root) %{_bindir}/vala-gen-introspect-%{major_ver}
%attr(755,root,root) %{_bindir}/valac
%attr(755,root,root) %{_bindir}/valac-%{major_ver}
%attr(755,root,root) %{_bindir}/vapicheck
%attr(755,root,root) %{_bindir}/vapicheck-%{major_ver}
%attr(755,root,root) %{_bindir}/vapigen
%attr(755,root,root) %{_bindir}/vapigen-%{major_ver}
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvala-%{major_ver}.so.0
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so
%{_includedir}/vala-%{major_ver}
%{_pkgconfigdir}/libvala-%{major_ver}.pc
%{_npkgconfigdir}/vapigen-%{major_ver}.pc
%{_npkgconfigdir}/vapigen.pc
%dir %{_datadir}/vala
%{_datadir}/vala/Makefile.vapigen
%dir %{_datadir}/vala/vapi
%dir %{_datadir}/vala-%{major_ver}
%dir %{_datadir}/vala-%{major_ver}/vapi
%{_datadir}/vala-%{major_ver}/vapi/*.vapi
%{_datadir}/vala-%{major_ver}/vapi/*.deps
%dir %{_libdir}/vala-%{major_ver}
%attr(755,root,root) %{_libdir}/vala-%{major_ver}/gen-introspect-%{major_ver}
%{_mandir}/man1/vala-gen-introspect.1*
%{_mandir}/man1/vala-gen-introspect-%{major_ver}.1*
%{_mandir}/man1/valac.1*
%{_mandir}/man1/valac-%{major_ver}.1*
%{_mandir}/man1/vapigen.1*
%{_mandir}/man1/vapigen-%{major_ver}.1*
%{_aclocaldir}/vala.m4
%{_aclocaldir}/vapigen.m4

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/vala-%{major_ver}
%changelog
* Mon Apr 08 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c0754fe
Update to 0.20.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> f7af4f6
- package base docs

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> d63b511
Update to 0.20.0

* Fri Nov 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 37af0a4
- updated to 0.18.1

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> d57d605
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Thu Oct 18 2012 Jakub Bogusz <qboosh@pld-linux.org> a393e7a
- updated glib2 version
- verbose bin files

* Mon Sep 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6f50923
- updated to 0.18.0

* Fri Sep 21 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 7b71904
Version: 0.17.7

* Sat Jun 23 2012 Marcin Banasiak <marcin.banasiak@gmail.com> fe41900
- updated to 0.16.1

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ce788c9
- updated to 0.16.0

* Tue Jan 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> c71834e
- updated to 0.14.2

* Sun Dec 04 2011 Łukasz Kieś <kiesiu@pld-linux.org> 2b78831
- updated to 0.14.1

* Wed Sep 28 2011 Artur Frysiak <artur@frysiak.net> 7ace0ca
- up to 0.14.0 (merge from DEVEL)

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> 16aa8f6
- rel 2

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> c258620
- epoch 2

* Thu Jun 02 2011 Łukasz Kieś <kiesiu@pld-linux.org> 8dbbe0b
- updated to 0.12.1

* Tue Apr 05 2011 Artur Frysiak <artur@frysiak.net> a147192
- gdk-pixbuf-2.0.vapi requires newer gdk-pixbuf2
- rel. 2

* Mon Apr 04 2011 Łukasz Kieś <kiesiu@pld-linux.org> fa5d12f
- up to version 0.12.0

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> e624136
- %files fix

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> aca1ea4
- fix major_ver
- rel. 2

